using Assets.Scripts.SO;
using UnityEngine;
using UnityEngine.SceneManagement;

namespace Assets.Scripts.Entities
{
    internal class TutorialChild : MonoBehaviour
    {
        [SerializeField] private ScriptableChild _scriptableChild;

        private void Start()
        {
            var child = GetComponent<Child>();
            child.ScriptableChild = _scriptableChild;
            child.StartJumping();
            child.OnChildCollision += () =>
            {
                SceneManager.LoadScene("Game");
            };
        }
    }
}
